Description

Instalando el build 2419 en un Windows 7 64 bits en la carpeta por defecto que ofrece

  "C:\Program Files\\gvSIG-desktop-2.3.0" 

gvSIG luego no arranca mostrando el siguiente error en la consola:

 Exception in thread "main" java.io.FileNotFoundException: C:\Program
Files\gvSIG-desktop-2.3.0\gvSIG\extensiones\org.gvsig.installer.app.mainplugin\config.xml
Access is denied)
        at java.io.FileOutputStream.open0(Native Method)
        at java.io.FileOutputStream.open(Unknown Source)
        at java.io.FileOutputStream.<init>(Unknown Source)
        at java.io.FileOutputStream.<init>(Unknown Source)
        at org.gvsig.andamiupdater.Updater.copyFilesAndFolders(Updater.java:225)
        at org.gvsig.andamiupdater.Updater.copyFilesAndFolders(Updater.java:219)
        at org.gvsig.andamiupdater.Updater.copyFiles(Updater.java:202)
        at org.gvsig.andamiupdater.Updater.main(Updater.java:65)

Al parecer durante la instalacion no puede escribir en la carpeta del plugin "org.gvsig.installer.app.mainplugin" y pospone la
instalacion de este para el primer arranque de la aplicacion. Cuando arranca e intenta terminar la instalacion del plugin falla por que
no tiene permisos de escritura en "C:\Program Files\gvSIG-desktop-2.3.0" y aborta la ejecucion de gvSIG.

Related issues:
Related to Application: gvSIG desktop - gvSIG bugs # 4034: No puedo instalar ... Closed 01/20/2016

Associated revisions
Revision 42681 - 02/03/2016 02:35 PM - Joaquín  del Cerro Murciano

refs #4085, modificado el "updater" de gvSIG para que aunque falle algo en la actualizacion de algun plugin continue intentando arracar gvSIG.

Revision 42685 - 02/03/2016 04:51 PM - Joaquín  del Cerro Murciano

04/27/2024 1/2



refs  #4034, #4085, eliminada la necesidad de que esten instalados los plugins org.gvsig.installer.app.mainplugin y
org.gvsig.coreplugin.app.mainplugin para arrancar el instalador de complementos de forma independiente. Asi mismo se han eliminado estos plugins
de la instalacion base del izpack, con lo que deben ser instalados por el administrador de complementos.

History
#1 - 02/03/2016 05:02 PM - Joaquín  del Cerro Murciano
- Status changed from New to Fixed

He eliminado la necesidad de tener instalados los plugins:

    -  org.gvsig.coreplugin.app.mainplugin
    -  org.gvsig.installer.app.mainplugin

Para ejecutar de forma independiente el administrador de complementos.
El instalador del izpack ya no incluye estos plugins en la instalación que se realiza antes de lanzar el administrador de complementos, con lo que los
problemas derivados de que se encuentren ficheros en uso de estos plugins ya no se darán, y no fallara la instalación del plugin
"org.gvsig.installer.app.mainplugin" que era lo que originaba el problema.

Además he "robustecido" la clase Updater, encargada de comprobar si hay algún plugin pendiente de instalar en el arranque de gvSIG para que no
aborte el arranque si tiene algún problema. Esto habría que repasarlo mas ya que lo único que hace si tiene problemas es sacar un mensaje por la
salida de errores que en windows lo normal es que no este visible. Ademas habria que repasar que hacer con esto ya que en windows, sin permisos
de administrador, lo normal es que nunca se terminen de instalar los plugins pospuestos en caso de que se lleguen a posponer. Cosa que no tengo
nada claro si sucederia ya que ahora cuando no tiene permisos de escritura en la instalacion de gvSIG pasa a instalarlos en el
home/gvSIG/installation .

#2 - 02/03/2016 05:03 PM - Joaquín  del Cerro Murciano
- Related to gvSIG bugs #4034: No puedo instalar gvSIG en windows 64 added

#3 - 02/04/2016 05:42 PM - Antonio Falciano
- File gvSIG-installer_2420.log added

It works fine in build 2420 x86_64, even if the program folder is:

C:\Program Files\\gvSIG-desktop\gvSIG-desktop-2.3.0

See gvSIG-installer_2420.log in attachment.

#4 - 02/08/2016 02:56 PM - Álvaro Anguix
- Status changed from Fixed to Closed

Files
gvSIG-installer_2420.log 82.5 KB 02/04/2016 Antonio Falciano
